import { AnyJson, JsonMap } from "@iarna/toml";
import { GlobalConfiguration } from "./global-configuration";
import { RunnerConfiguration } from "./runner-configuration";
export interface ConfigurationMapperProps {
    readonly globalConfiguration: GlobalConfiguration;
    readonly runnersConfiguration: RunnerConfiguration[];
}
export declare class ConfigurationMapper {
    readonly props: ConfigurationMapperProps;
    static withDefaults(props: ConfigurationMapperProps): ConfigurationMapper;
    static fromProps(props: ConfigurationMapperProps): ConfigurationMapper;
    private constructor();
    toToml(): string;
    /**
     * @internal
     */
    _toJsonMap(): JsonMap;
    private _mapMachineOptions;
}
export declare function isEmpty(subject: AnyJson): boolean;
export declare function filter(subject: AnyJson, predicate: (value: AnyJson) => boolean): AnyJson;
